Bug 1126005 - [Doc] upgrade: del command for upgrade_levels does not work as is
Summary: [Doc] upgrade: del command for upgrade_levels does not work as is
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Upgrade
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 5.0 (RHEL 6)
Assignee: Summer Long
QA Contact: Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 15:05 UTC by Dafna Ron
Modified: 2014-09-04 13:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 13:07:43 UTC


Attachments (Terms of Use)

Description Dafna Ron 2014-08-01 15:05:06 UTC
Description of problem:

in 4.3. Finalize Live Compute Upgrade:

# openstack-config --del /etc/nova/nova.conf \
   upgrade_levels compute icehouse-compat

this command will not work leaving the customers unable to launch instances. 

please change the command to 

# openstack-config --del /etc/nova/nova.conf \
   upgrade_levels compute

and since any failure in this command will mean the user cannot run instances, please also add a workaround which is to delete the below from /etc/nova/nova.conf on all computes:

[upgrade_levels]
compute = icehouse-compat

Comment 1 Andrew Dahms 2014-08-03 22:16:09 UTC
Assigning this bug to Summer Long, who is the designated author for Nova.

Comment 5 Summer Long 2014-09-01 00:31:39 UTC
Moving to verified on Don's behalf.


Note You need to log in before you can comment on or make changes to this bug.